org.restlet.data

## Class Product

- java.lang.Object
- - org.restlet.data.Product

    public class Product
    extends java.lang.Object

Product tokens are used to allow communicating applications to identify themselves by software name and version.

Author:
  Thierry Boileau
See Also:
  User-Agent, Product Tokens

### Constructor Summary

Constructors
Constructor and Description
`Product(java.lang.String name, java.lang.String version, java.lang.String comment)` Constructor.

### Method Summary

Methods
`java.lang.String` `getComment()` Returns the facultative comment.
`java.lang.String` `getName()` Returns the product name.
`java.lang.String` `getVersion()` Returns the version of the product.
`void` `setComment(java.lang.String comment)` Sets the facultative comment.
`void` `setName(java.lang.String name)` Sets the product name.
`void` `setVersion(java.lang.String version)` Sets the version of the product.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Product

    public Product(java.lang.String name,
           java.lang.String version,
           java.lang.String comment)

Constructor.

Parameters:
  `name` - The product name.
  `version` - The product version.
  `comment` - The product comment.

### Method Detail

#### getComment

    public java.lang.String getComment()

Returns the facultative comment.

Returns:
  The facultative comment.

#### getName

    public java.lang.String getName()

Returns the product name.

Returns:
  The product name.

#### getVersion

    public java.lang.String getVersion()

Returns the version of the product.

Returns:
  The version of the product.

#### setComment

    public void setComment(java.lang.String comment)

Sets the facultative comment.

Parameters:
  `comment` - The facultative comment.

#### setName

    public void setName(java.lang.String name)

Sets the product name.

Parameters:
  `name` - The product name.

#### setVersion

    public void setVersion(java.lang.String version)

Sets the version of the product.

Parameters:
  `version` - The version of the product.